Get monthly consumption data

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This service allows you to retrieve your monthly consumption data for credit management purposes.

Special parameters

NameTypeDescription
channelstringThis value is the channel type (sms, voice, etc.).
yearintThis value is the year for consumption data.
monthintThis value is the month for consumption data (1-12).
agent_emailstringThis value is the agent email address (optional).

Server Response Example in JSON

Success

{
   "year": 2025,
   "month": 7,
   "number_of_sendings": 1969,
   "cost": 83.41,
   "consumption_by_agent": [
       {
           "agent_email": "[email protected]",
           "number_of_sendings": 734,
           "cost": 4.56
       },
       {
           "agent_email": "[email protected]",
           "number_of_sendings": 1235,
           "cost": 78.85
       }
   ]
}
Body Params

Request payload for monthly consumption

string
enum
required
Allowed:
integer
required
integer
required
string
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

401

Unauthorized.

403

Forbidden.

429

Too many requests.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json